Presign multipart parts
curl --request POST \
--url https://api.vmeg.ai/openapi/v1/assets/material/upload/multipart/presign-parts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"materialId": "<string>",
"uploadId": "<string>",
"fileHash": "<string>",
"fileName": "<string>",
"partNumbers": [
123
]
}
'import requests
url = "https://api.vmeg.ai/openapi/v1/assets/material/upload/multipart/presign-parts"
payload = {
"materialId": "<string>",
"uploadId": "<string>",
"fileHash": "<string>",
"fileName": "<string>",
"partNumbers": [123]
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
materialId: '<string>',
uploadId: '<string>',
fileHash: '<string>',
fileName: '<string>',
partNumbers: [123]
})
};
fetch('https://api.vmeg.ai/openapi/v1/assets/material/upload/multipart/presign-parts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "",
"data": {
"urls": [
{
"partNumber": 123,
"url": "<string>"
}
],
"expiresInSeconds": 123
}
}Upload files (materials)
Presign multipart parts
Multipart upload step 2: presigned URL per part. Requires X-Idempotency-Key. Flow: Material upload.
POST
/
openapi
/
v1
/
assets
/
material
/
upload
/
multipart
/
presign-parts
Presign multipart parts
Authorizations
Send your API Key in the Authorization header (Bearer <api_key>). See Authentication.
Headers
Required on mutating POST requests that create tasks or change persisted data (max 64 characters). See Idempotency.
Maximum string length:
64Body
application/json
⌘I

